## com.puppycrawl.tools.checkstyle.checks.coding
Class NoFinalizerCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.coding.AbstractIllegalMethodCheck
                      com.puppycrawl.tools.checkstyle.checks.coding.NoFinalizerCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class NoFinalizerCheck

extends AbstractIllegalMethodCheck

Checks that no method having zero parameters is defined using the name finalize.

Author:
  fqian@google.com (Feng Qian), smckay@google.com (Steve McKay), lkuehne

Constructor Summary
`NoFinalizerCheck()` Creates an instance.

Method Summary

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.coding.AbstractIllegalMethodCheck
`getDefaultTokens, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoFinalizerCheck

    public NoFinalizerCheck()

  Creates an instance.

Copyright © 2001-2011. All Rights Reserved.